Get details of a specific service

View as Markdown

Retrieve the service’s details.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this service.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
node_portinteger1-65535

The port number associated with the service within the allowable range for an IP port (UINT16).

worker_portinteger or nullRead-only
The port exposed by the worker.
worker_fqdnstring or nullRead-only
The FQDN of the worker machine this service is running on. When the associated node is not active, this will be null.
interfacestringformat: "uuid"
namestringOptional<=256 characters
The name of the service.
service_typeenumOptionalDefaults to OTHER

The type of service exposed (e.g. SSH or HTTP).

  • SSH - SSH
  • HTTPS - HTTPS
  • HTTP - HTTP
  • OTHER - Other

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error